solver.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <map>`
`#include <string>`
`#include <boost/mpl/assert.hpp>`
`#include <boost/mpl/logical.hpp>`
`#include <boost/type_traits/is_base_of.hpp>`
`#include <boost/variant/variant.hpp>`
`#include <boost/variant/get.hpp>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/function.hh>`
`#include <roboptim/core/problem.hh>`
`#include <roboptim/core/generic-solver.hh>`
`#include <roboptim/core/solver.hxx>`

## Classes

struct | roboptim::Parameter
| Parameters type. More...
class | roboptim::Solver< F, C >
| Solver for a specific problem class. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Functions

ROBOPTIM_DLLAPI std::ostream & | roboptim::operator<< (std::ostream &o, const Parameter &parameter)
| Override operator<< to display ``parameters'' objects. More...